.\" $NetBSD: pmu.4,v 1.2 2007/12/08 11:06:53 wiz Exp $
.\"
.\" Copyright (c) 2007
.\" 	Michael Lorenz.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd May 14, 2007
.Dt PMU 4
.Os
.Sh NAME
.Nm pmu
.Nd support for Power Management Units found in all Apple laptops and some
desktop Power Macintosh computers
.Sh SYNOPSIS
.Cd "pmu* at obio?"
.Cd "nadb* at pmu?"
.Cd "battery* at pmu?"
.Cd "smartbat* at pmu?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Power Management Unit found in
Apple laptops and some desktop Power Macintosh computers.
Functions controlled by the PMU include the real time clock, ADB,
power, batteries, on some laptops like the PowerBook 3400c and
similar machines it also controls hotkeys and display brightness,
on others it provides an
.Xr iic 9
bus and on some it controls CPU speed.
On many older machines it also provides access to some non-volatile
memory and thermal sensors.
Not all those features are present on all machines, for instance
Power Macintosh G4 and later machines don't have ADB, many more
recent laptops have display brightness and backlight control built
into the graphics controller instead of the PMU, only a few older
PowerBooks use the PMU for CPU speed control and newer machines
use a different way to access non-volatile memory.
However, all known PMUs so far provide a real time clock and power
control.
.Ss Notes by model
Real time clock and power control are present and supported on all
machines that can run
.Nx Ns Tn /macppc ,
ADB is supported when present.
.Bl -tag
.It Dv PowerBook 2400, 3400c, and 3500
Battery status and thermal sensors found on the mainboard and in
the battery pack are supported by the
.Xr battery 4
driver, values can be read via
.Xr envsys 4 .
Hotkeys for brightness control are supported, CPU speed control
and parameter RAM are present but unsupported.
.It Dv Power Macintosh G4
ADB is not present,
.Xr iic 9
is present but unsupported.
.El
.Sh SEE ALSO
.Xr battery 4 ,
.Xr cuda 4 ,
.Xr nadb 4 ,
.Xr nvram 4 ,
.Xr obio 4 ,
.Xr iic 9
.\" .Xr smartbat 4
.Sh BUGS
Some features are currently unsupported, like the
.Xr iic 9
bus, access to parameter RAM and CPU speed control.
